var onprogress = false;

function showTable()
{
  if(onprogress){
    alert('Trwa przetwarzanie innej operacji.');
    return;
  }
  tfWierszeText = document.getElementById('tfWiersze').value;
  if(tfWierszeText == ""){
    tfWierszeText = "0";
  }
  url = "http://localhost/dane.php?akcja=show";
  url += "&wiersze=" + tfWierszeText;
  url = encodeURI(url);

  var onprogress = true;
  startGETRequest(url, onComplete, onEnd);
}

function deleteRow(id)
{
  if(onprogress){
    alert('Trwa przetwarzanie innej operacji.');
    return;
  }

  tfWierszeText = document.getElementById('tfWiersze').value;
  if(tfWierszeText == ""){
    tfWierszeText = "0";
  }

  url = "http://localhost/dane.php?akcja=delete";
  url += "&id=" + id + "&wiersze=" + tfWierszeText;
  url = encodeURI(url);

  var onprogress = true;
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  var dataDiv = document.getElementById("dataDiv");
  if(text.substr(0, 5) != "error"){
    dataDiv.innerHTML = text;
  }
  else{
    arr = text.split("\n");
    if(arr.length != 2){
      alert("Błędna odpowiedź serwera.");
    }
    else{
      alert(arr[1]);
    }
  }
}

function onEnd()
{
  var onprogress = false;
}